Loading...
Searching...
No Matches
CPowerContainerObject Class Referenceabstract
Inheritance diagram for CPowerContainerObject:
[legend]

## Public Member Functions

| CPowerContainerObject (ObjectInterfaceTypes &types)
virtual void | SetEnergyLevel (float level)=0
| Set energy level (percentage), value in range [0..1].
virtual float | GetEnergyLevel ()=0
| Get energy level (percentage), value in range [0..1].
virtual void | SetEnergy (float energy)
| Set amount of energy in the container, value in range [0..GetCapacity()].
virtual float | GetEnergy ()
| Get amount of energy in the container, value in range [0..GetCapacity()].
virtual float | GetCapacity ()=0
| Return capacity of this power container.
virtual bool | IsRechargeable ()=0
| Returns true if this power container can be recharged.

## Member Function Documentation

## SetEnergyLevel()

virtual void CPowerContainerObject::SetEnergyLevel | ( | float | level | ) |

pure virtual

Set energy level (percentage), value in range [0..1].

Implemented in CPowerContainerObjectImpl.

## GetEnergyLevel()

virtual float CPowerContainerObject::GetEnergyLevel | ( |  | ) |

pure virtual

Get energy level (percentage), value in range [0..1].

Implemented in CPowerContainerObjectImpl.

## SetEnergy()

virtual void CPowerContainerObject::SetEnergy | ( | float | energy | ) |

inline virtual

Set amount of energy in the container, value in range [0..GetCapacity()].

## GetEnergy()

virtual float CPowerContainerObject::GetEnergy | ( |  | ) |

inline virtual

Get amount of energy in the container, value in range [0..GetCapacity()].

## GetCapacity()

virtual float CPowerContainerObject::GetCapacity | ( |  | ) |

pure virtual

Return capacity of this power container.

Implemented in COldObject.

## IsRechargeable()

virtual bool CPowerContainerObject::IsRechargeable | ( |  | ) |

pure virtual

Returns true if this power container can be recharged.

Implemented in COldObject.

The documentation for this class was generated from the following file:

- src/object/interface/power_container_object.h